Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service.impl
Class IntraHubTransactionServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.hub.service.impl.IntraHubTransactionServiceImpl

All Implemented Interfaces:
  IntraHubTransactionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

    public class IntraHubTransactionServiceImpl

extends Object
implements IntraHubTransactionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

Implementation of `IntraHubTransactionService` Extends : `IntraHubAbstract`

Constructor Summary
`IntraHubTransactionServiceImpl()` needed for ModuleBootstrapHook. dont create service with this constructor.
`IntraHubTransactionServiceImpl(IntraHubService hubService, HubReplyValidator validator)` Instantiates a new intra hub transaction service.

Method Summary
`void` | `bootstrap()`
`List<IDKMEHR>` | `declareTransaction(KmehrHeaderDeclareTransaction input)` Declare transaction.
`Kmehrmessage` | `getTransaction(PatientIdType patient, TransactionBaseType transaction)` Gets the transaction.
`KmehrHeaderGetTransactionList` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` Gets the transaction list.
`void` | `putTransaction(Kmehrmessage input)` Put transaction.
`void` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` Request publication.
`void` | `revokeTransaction(PatientIdType patient, TransactionIdType transaction)` Revoke transaction.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntraHubTransactionServiceImpl

    public IntraHubTransactionServiceImpl(IntraHubService hubService,
                                          HubReplyValidator validator)
                                   throws TechnicalConnectorException,
                                          IntraHubBusinessConnectorException

  Instantiates a new intra hub transaction service.

  Parameters:
    `hubService` - the hub service
    `validator` - the validator
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception

### IntraHubTransactionServiceImpl

    public IntraHubTransactionServiceImpl()

  needed for ModuleBootstrapHook. dont create service with this constructor.

Method Detail

### declareTransaction

    public List<IDKMEHR> declareTransaction(KmehrHeaderDeclareTransaction input)
                                     throws TechnicalConnectorException,
                                            IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Declare transaction.

  Specified by:
    `declareTransaction` in interface `IntraHubTransactionService`
  Parameters:
    `input` - the kmehr header
  Returns:
    the collection
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `be.ehealth.businessconnector.hub.service.IntraHubTransactionService#declareTransaction(java.lang.String)`

### putTransaction

    public void putTransaction(Kmehrmessage input)
                        throws TechnicalConnectorException,
                               IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Put transaction.

  Specified by:
    `putTransaction` in interface `IntraHubTransactionService`
  Parameters:
    `input` - the kmehr header
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `be.ehealth.businessconnector.hub.service.IntraHubTransactionService#putTransaction(java.lang.String)`

### revokeTransaction

    public void revokeTransaction(PatientIdType patient,
                                  TransactionIdType transaction)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Revoke transaction.

  Specified by:
    `revokeTransaction` in interface `IntraHubTransactionService`
  Parameters:
    `patient` - the patient
    `transaction` - the transaction
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTransactionService.revokeTransaction(be.fgov.ehealth.hubservices.core.v1.PatientIdType, be.fgov.ehealth.hubservices.core.v1.TransactionIdType)`

### getTransactionList

    public KmehrHeaderGetTransactionList getTransactionList(PatientIdType patient,
                                                            LocalSearchType searchType,
                                                            TransactionWithPeriodType transaction)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Gets the transaction list.

  Specified by:
    `getTransactionList` in interface `IntraHubTransactionService`
  Parameters:
    `patient` - the patient
    `searchType` - the search type
    `transaction` - the transaction
  Returns:
    the transaction list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTransactionService.getTransactionList(be.fgov.ehealth.hubservices.core.v1.PatientIdType, be.fgov.ehealth.hubservices.core.v1.LocalSearchType, be.fgov.ehealth.hubservices.core.v1.TransactionWithPeriodType)`

### getTransaction

    public Kmehrmessage getTransaction(PatientIdType patient,
                                       TransactionBaseType transaction)
                                throws TechnicalConnectorException,
                                       IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Gets the transaction.

  Specified by:
    `getTransaction` in interface `IntraHubTransactionService`
  Parameters:
    `patient` - the patient
    `transaction` - the transaction
  Returns:
    the transaction
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTransactionService.getTransaction(be.fgov.ehealth.hubservices.core.v1.PatientIdType, be.fgov.ehealth.hubservices.core.v1.TransactionBaseType)`

### requestPublication

    public void requestPublication(PatientIdType patient,
                                   TransactionWithPeriodType transaction,
                                   String comment)
                            throws TechnicalConnectorException,
                                   IntraHubBusinessConnectorException

  Description copied from interface: `IntraHubTransactionService`
  Request publication.

  Specified by:
    `requestPublication` in interface `IntraHubTransactionService`
  Parameters:
    `patient` - the patient
    `transaction` - the transaction
    `comment` - the comment
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
  See Also:
    `IntraHubTransactionService.requestPublication(be.fgov.ehealth.hubservices.core.v1.PatientIdType, be.fgov.ehealth.hubservices.core.v1.TransactionWithPeriodType, java.lang.String)`

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.